<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>扫描进度</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
</head>
<body>
	<ul class="nav nav-tabs">
		<li><a href="${ctx}/admin/exam/scan/subject">按科目统计</a></li>
		<li><a href="${ctx}/admin/exam/scan/campus">按学习中心统计</a></li>
		<li><a href="${ctx}/admin/exam/scan/package">统计签到表</a></li>
		<li class="active"><a href="${ctx}/admin/exam/scan/student">考生审核</a></li>
	</ul>
	<form id="searchForm" action="${ctx}/admin/exam/scan/student" method="post" class="breadcrumb form-search">
		<input type="hidden" id="pageNumber" name="pageNumber" value="${query.pageNumber }"/>
		<input type="hidden" id="pageSize" name="pageSize" value="${query.pageSize }"/>
        <label>学习中心</label>
            <select class="input-large" id="campusName" name="campusName">
                <option value="">请选择...</option>
                <c:forEach items="${campusList }" var="campus">
                    <option value="${campus}" <c:if test="${query.campusName eq campus }">selected</c:if>>${campus}</option>
                </c:forEach>
            </select>
<%-- 		&nbsp;
		<label>科目</label>
			<select class="input-large" id="subjectCode" name="subjectCode">
				<option value="">请选择</option>
				<c:forEach items="${subjectList }" var="subject">
					<option value="${subject.code }" <c:if test="${query.subjectCode eq subject.code }">selected</c:if>>${subject.code}-${subject.name}</option>
				</c:forEach>
			</select> --%>
		<label>状态</label>
		<select name="scanCheck" class="input-large">
			<c:forEach items="${scanCheckList }" var="item">
			<option value="${item.value}" <c:if test="${item.value==query.scanCheck.value}">selected</c:if>>${item.name}</option>
			</c:forEach>
		</select>
		&nbsp;
		<input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
		&nbsp;
		<a href="${ctx}/admin/exam/scan/student/start?campusName=${query.campusName}&scanCheck=${query.scanCheck.value}" target="_blank" class="btn btn-primary" id="start-button">开始处理</a>
	</form>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
				<th>准考证号</th>
				<th>姓名</th>
				<th>学号</th>
				<th>科目</th>
				<th>层次</th>
				<th>专业类型</th>
				<th>学习中心</th>
				<th>批次编号</th>
				<th>签到表编号</th>
				<th>考试备注信息</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${studentList}" var="student">
			<tr>
				<td>${student.examNumber}</td>
				<td>${student.name}</td>
				<td>${student.studentCode}</td>
				<td>${student.subjectCode}-${student.subjectName}&nbsp;${student.subjectRemark}</td>
				<td>${student.subjectLevel}</td>
				<td>${student.subjectCategory}</td>
				<td>${student.campusName}</td>
				<td>${student.batchCode}</td>
				<td>
				<c:if test="${student.packageUrlString!=null && student.packageUrlString!=''}">
					<a class="package-link" href="##" data-image-url="${student.packageUrlString}" data-title="${student.packageCode}">${student.packageCode}</a>
				</c:if>
				<c:if test="${student.packageUrlString==null || student.packageUrlString==''}">
					${student.packageCode}
				</c:if>
				</td>
				<td>${student.examSite}&nbsp;${student.examRoom}</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	<div class="pagination">${query}</div>
	<%@include file="/WEB-INF/views/include/imageView.jsp" %>
<script type="text/javascript">
$(document).ready(function() {
});
function page(n,s){
	$("#pageNumber").val(n);
	$("#pageSize").val(s);
	$("#searchForm").attr("action","${ctx}/admin/exam/scan/student");
	$("#searchForm").submit();
	return false;
}
function goSearch(){
	$("#pageNumber").val(1);
	$("#pageSize").val('${query.pageSize}');
	$("#searchForm").attr("action","${ctx}/admin/exam/scan/student");
	$("#searchForm").submit();
	return false;
}
</script>	
</body>
</html>